import { RowDataPacket } from "mysql2/promise";
import { Connection } from "mysql2/promise";
import { Connector } from "./connector";
import { Schema } from "./schema";
export declare class ConnectionManager<S extends Schema<any>> {
    protected Id: string;
    protected Connector: Connector;
    protected Schemas: Array<S>;
    protected Ready: boolean;
    protected Connection: Connection;
    constructor(Id: string, Connector: Connector, Schemas: Array<S>);
    query: (sql: string, values?: Array<any>) => Promise<[import("mysql2/typings/mysql/lib/protocol/packets/OkPacket") | import("mysql2/typings/mysql/lib/protocol/packets/ResultSetHeader") | RowDataPacket[] | RowDataPacket[][] | import("mysql2/typings/mysql/lib/protocol/packets/OkPacket")[], import("mysql2/typings/mysql/lib/protocol/packets/FieldPacket")[]]>;
    protected SchemaToString: (Schema: S) => string;
    protected SchemasBuild: () => Promise<[import("mysql2/typings/mysql/lib/protocol/packets/OkPacket") | import("mysql2/typings/mysql/lib/protocol/packets/ResultSetHeader") | RowDataPacket[] | RowDataPacket[][] | import("mysql2/typings/mysql/lib/protocol/packets/OkPacket")[], import("mysql2/typings/mysql/lib/protocol/packets/FieldPacket")[]]>;
    protected Sync: (Schema: S) => Promise<unknown>;
    getId: () => string;
    getConnector: () => Connector;
    end: () => this;
    init: () => Promise<this>;
    Transaction: <T>(callback: () => T | Promise<T>) => Promise<T>;
}
