"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.PrimaryKey = void 0;
class PrimaryKey {
    constructor() {
        // Data type ID. Used to defer from other datatypes.
        this._id = "PrimaryKey";
        // If True then will not be considered as Mysql table column.
        this.isVirtual = false;
        // Whether the columns should be retrived with each request?
        this.isPublic = false;
        // Length of content in the column.
        this.isLength = 11;
        this.toString = () => [`INT(${this.isLength})`, `NOT NULL`, `AUTO_INCREMENT PRIMARY KEY`]
            .filter((v) => v)
            .join(" ");
    }
}
exports.PrimaryKey = PrimaryKey;
