import { ResolverFunction, SQLBaseType, SQLBaseTypeOptions, ValidationFunction } from "./base";
export declare type SQLContentType<T extends SQLContent<any, any, any>> = T extends SQLContent<any, infer X, infer Y> ? X extends false ? string | undefined : Y extends true ? string | undefined | null : string : any;
export interface SQLContentOptions<T extends string, Public extends boolean, Nullable extends boolean> extends SQLBaseTypeOptions<T, Public, Nullable> {
    validator?: ValidationFunction<T>;
    resolver?: ResolverFunction<T>;
}
export declare class SQLContent<T extends string, Public extends boolean, Nullable extends boolean> extends SQLBaseType<T, Public, Nullable> {
    readonly _id = "Content";
    validator: ValidationFunction<T>;
    resolver: ResolverFunction<T>;
    constructor(options?: SQLContentOptions<T, Public, Nullable>);
}
