import { LockedSchema } from "../locked-schema";
import { ValidationFunction, Value } from "./base";
export declare class SQLMeta<T> {
    resolver?: ((record: Record<any, any>, schema: LockedSchema<any>, resources: any) => Promise<T> | T) | undefined;
    dependencies?: string[] | undefined;
    readonly _id = "Meta";
    columnId: string;
    isVirtual: boolean;
    defaultValue: Value<any>;
    updateValue?: Value<any>;
    validator: ValidationFunction<any>;
    constructor(resolver?: ((record: Record<any, any>, schema: LockedSchema<any>, resources: any) => Promise<T> | T) | undefined, dependencies?: string[] | undefined);
}
