"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SQLMeta = void 0;
class SQLMeta {
    constructor(resolver, dependencies) {
        this.resolver = resolver;
        this.dependencies = dependencies;
        // Data type ID. Used to defer from other datatypes.
        this._id = "Meta";
        // If True then will not be considered as Mysql table column.
        this.isVirtual = true;
        // Default value of the column.
        this.defaultValue = null;
        // Validate input value.
        this.validator = () => { };
    }
}
exports.SQLMeta = SQLMeta;
